{
    "name": "PIP",
    "keywords": "pip",
    "description": "Platform-Independent Primitives",
    "repository":
    {
        "type": "git",
        "url": "https://git.shs.tools/SHS/pip.git"
    },
    "frameworks": "*",
    "platforms": "*",
    "dependencies": {
        "mike-matera/ArduinoSTL": "^1.3.2",
        "linlin-study/FreeRTOS-Kernel": ">=10.0.0"
    },
    "build":
    {
        "srcFilter": [
            "+<libs/main/core/*.cpp>",
            "+<libs/main/containers/*.cpp>",
            "+<libs/main/math/*.cpp>",
            "+<libs/main/thread/*.cpp>",
            "+<libs/main/io_uutils/*.cpp>",
            "+<libs/main/geo/*.cpp>"
        ],
        "extraScript": "platformio_pre.py",
        "flags": "-DPIP_FREERTOS"
    }
}